Page MenuHomePhabricator

added_lines include whitespace at the beginning
Closed, ResolvedPublic

Description

Since 1.26wmf6 (I can't find which change caused that if any) added_lines include whitespace after line breaks and at the beginning of the string. Happens also on removed_lines and edit_diff. Doesn't happen on wikitext variables.

This has broken eg. important filter #432 on English Wikipedia and possibly more filters which check these strings.

See also

Details

Related Gerrit Patches:

Event Timeline

matej_suchanek raised the priority of this task from to Needs Triage.
matej_suchanek updated the task description. (Show Details)
matej_suchanek added a project: AbuseFilter.
matej_suchanek added a subscriber: matej_suchanek.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2015, 9:48 AM
Dalba added a subscriber: Dalba.May 23 2015, 10:29 AM
He7d3r added a subscriber: He7d3r.May 23 2015, 6:31 PM
He7d3r updated the task description. (Show Details)May 23 2015, 6:51 PM
He7d3r set Security to None.

Change 213773 had a related patch set uploaded (by Ori.livneh):
Make the output of UnifiedDiffFormatter match diff -u

https://gerrit.wikimedia.org/r/213773

Change 213773 merged by Aaron Schulz:
Make the output of UnifiedDiffFormatter match diff -u

https://gerrit.wikimedia.org/r/213773

Change 213775 had a related patch set uploaded (by Ori.livneh):
Make the output of UnifiedDiffFormatter match diff -u

https://gerrit.wikimedia.org/r/213775

He7d3r triaged this task as Unbreak Now! priority.May 27 2015, 10:58 AM
Aklapper added a subscriber: ori.May 28 2015, 9:46 AM

https://gerrit.wikimedia.org/r/#/c/213775/ failed Jenkins... @ori: Any plans to fix that?

Change 213775 merged by Ori.livneh:
Make the output of UnifiedDiffFormatter match diff -u

https://gerrit.wikimedia.org/r/213775

ori closed this task as Resolved.May 29 2015, 12:11 AM
ori claimed this task.